<script setup lang="ts">
defineProps({
  units: [],
  groups: [],
});
</script>

<template>
  <div
    class="p-3 m-4 bg-theme-background-accent rounded-xl hover:ring-2 ring-offset-2 ring-offset-theme-background ring-theme-accent cursor-pointer flex flex-wrap justify-center"
  >
    <div class="flex flex-col justify-center mx-3">
      <h2 class="text-center uppercase text-base">Équipe Informatique</h2>
      <div class="flex items-center justify-center">
        <span class="w-1/10 border-b border-theme-background"></span>
        <p class="text-theme-accent text-sm mx-3">R@AGEPINFO</p>
        <span class="w-1/10 border-b border-theme-background"></span>
      </div>
    </div>
    <div>
      <div
        class="grid grid-flow-row-dense grid-cols-5 grid-rows-1 justify-items-center items-center text-center rounded-lg bg-theme-background ring ring-theme-background ring-offset-1 ring-offset-theme-background-accent mx-1 my-3 p-0.5"
      >
        <p class="col-span-3 text-sm">Responsable d'équipe</p>
        <span class="text-theme-text-darker col-span-2 text-sm"
          >22/05/22 à 22/05/23</span
        >
      </div>
      <div
        class="opacity-40 grid grid-flow-row-dense grid-cols-5 grid-rows-1 justify-items-center items-center text-center rounded-lg bg-theme-background ring ring-theme-background ring-offset-theme-background-accent mx-1 my-3 p-0.5"
      >
        <h3 class="col-span-3 text-sm">Trésorier</h3>
        <span class="text-theme-text-darker col-span-2 text-sm"
          >22/05/22 à 22/05/23</span
        >
      </div>
    </div>
  </div>
</template>

<style scoped></style>
